//	--------------------------------------------------------------------------
//
//	BITMAPS.HPP
//
//	--------------------------------------------------------------------------

#ifndef		__bitmaps_hpp
#define		__bitmaps_hpp

#include	"graphics.hpp"
#include	"resource.hpp"

class BitmapResourceFile : public ResourceFile
	{
	protected:
		virtual int		DecompressResource(char* dest, char* srce);

	public:
		BitmapResourceFile(DirString* pathname,uint options,long num_resources = 256);
		BitmapResourceFile(const char* pathname,uint options,long num_resources = 256);
		~BitmapResourceFile();

		long		SizeOfDecompressedResource(long resource_num);
		int			ReadResource(long resource_num,char* buffer);

		char**		LoadAllResources();
		void		FreeAllResources(char** datalist);

		int			AddResource(DirString* srce);
	};

#endif
