//	-------------------------------------------------------------------------
//
//	FONTS.HPP
//
//	-------------------------------------------------------------------------
#ifndef		__fonts_hpp
#define		__fonts_hpp

#include	"graphics.hpp"
#include	"resource.hpp"

class FontResourceFile : public ResourceFile
	{
	public:
		FontResourceFile(DirString* pathname,uint options,long num_resources = 256);
		FontResourceFile(const char* pathname,uint options,long num_resources = 256);

		ulong		SizeOfResource (long resource_num);
		int			ReadResource(long resource_num,char* buffer);

		char**		LoadAllResources();
		void		FreeAllResources(char** datalist);

		int			AddResource(char* srce, ulong resourcesize);
	};

//	---------------------------------------------------------------------------
//	To make a font
int		fontMakeResource(DirString* destfont, DirString* srcefont,
							int numerx, int denomx, int numery, int denomy);
//	---------------------------------------------------------------------------
#endif
