//	-------------------------------------------------------------------------
//
//	MISC.HPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This file contains defines for the miscellaneous functions
//					required by the game library
//
//	-------------------------------------------------------------------------

#ifndef __misc_hpp
#define __misc_hpp

#include "stdlib.h"

//	return the difference between A and B

#define diff(A,B)		abs((A)-(B))

#ifdef __cplusplus
//	-------------------------------------------------------------------------
//
//	FUNC:		min
//	DESC:       returns the minimum of its two parameters.
//
//	-------------------------------------------------------------------------
int	min(int a,int b);

//	-------------------------------------------------------------------------
//
//	FUNC:		max
//	DESC:       returns the maximum of its two parameters.
//
//	-------------------------------------------------------------------------

int max(int a,int b);

#endif

#endif